package com.chinaitop.depot.keeperAccount.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageAccountRecord {
    private Integer id;

    private Integer orgId;

    private Integer accountType;

    private String houseId;

    private String wareId;

    private String recordUnite;

    private Integer lspz;

    private Integer hwxz;

    private Integer level;

    private String rq;

    private Date rqDate;

    private BigDecimal srsl;

    private BigDecimal zcsl;

    private BigDecimal kcsl;

    private String remark;

    private String accountingPerson;

    private Date accountingDate;

    private String auditor;

    private Date auditorDate;

    private String auditorOpinion;

    private Date updatetime;

    /**
     * 主键编号
     * @return id 主键编号
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键编号
     * @param id 主键编号
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 粮库ID
     * @return org_id 粮库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 粮库ID
     * @param orgId 粮库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 账目类型(0分仓账，1总账)
     * @return account_type 账目类型(0分仓账，1总账)
     */
    public Integer getAccountType() {
        return accountType;
    }

    /**
     * 账目类型(0分仓账，1总账)
     * @param accountType 账目类型(0分仓账，1总账)
     */
    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    /**
     * 仓房ID
     * @return house_id 仓房ID
     */
    public String getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId 仓房ID
     */
    public void setHouseId(String houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位ID
     * @return ware_id 货位ID
     */
    public String getWareId() {
        return wareId;
    }

    /**
     * 货位ID
     * @param wareId 货位ID
     */
    public void setWareId(String wareId) {
        this.wareId = wareId;
    }

    /**
     * 粮权单位
     * @return record_unite 粮权单位
     */
    public String getRecordUnite() {
        return recordUnite;
    }

    /**
     * 粮权单位
     * @param recordUnite 粮权单位
     */
    public void setRecordUnite(String recordUnite) {
        this.recordUnite = recordUnite == null ? null : recordUnite.trim();
    }

    /**
     * 粮食品种
     * @return lspz 粮食品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种
     * @param lspz 粮食品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 货物性质
     * @return hwxz 货物性质
     */
    public Integer getHwxz() {
        return hwxz;
    }

    /**
     * 货物性质
     * @param hwxz 货物性质
     */
    public void setHwxz(Integer hwxz) {
        this.hwxz = hwxz;
    }

    /**
     * 粮食等级
     * @return level 粮食等级
     */
    public Integer getLevel() {
        return level;
    }

    /**
     * 粮食等级
     * @param level 粮食等级
     */
    public void setLevel(Integer level) {
        this.level = level;
    }

    /**
     * 日期(总账)
     * @return rq 日期(总账)
     */
    public String getRq() {
        return rq;
    }

    /**
     * 日期(总账)
     * @param rq 日期(总账)
     */
    public void setRq(String rq) {
        this.rq = rq == null ? null : rq.trim();
    }

    /**
     * 日期(分仓账)
     * @return rq_date 日期(分仓账)
     */
    public Date getRqDate() {
        return rqDate;
    }

    /**
     * 日期(分仓账)
     * @param rqDate 日期(分仓账)
     */
    public void setRqDate(Date rqDate) {
        this.rqDate = rqDate;
    }

    /**
     * 收入数量
     * @return srsl 收入数量
     */
    public BigDecimal getSrsl() {
        return srsl;
    }

    /**
     * 收入数量
     * @param srsl 收入数量
     */
    public void setSrsl(BigDecimal srsl) {
        this.srsl = srsl;
    }

    /**
     * 支出数量
     * @return zcsl 支出数量
     */
    public BigDecimal getZcsl() {
        return zcsl;
    }

    /**
     * 支出数量
     * @param zcsl 支出数量
     */
    public void setZcsl(BigDecimal zcsl) {
        this.zcsl = zcsl;
    }

    /**
     * 库存数量
     * @return kcsl 库存数量
     */
    public BigDecimal getKcsl() {
        return kcsl;
    }

    /**
     * 库存数量
     * @param kcsl 库存数量
     */
    public void setKcsl(BigDecimal kcsl) {
        this.kcsl = kcsl;
    }

    /**
     * 摘要
     * @return remark 摘要
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 摘要
     * @param remark 摘要
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 记账人
     * @return accounting_person 记账人
     */
    public String getAccountingPerson() {
        return accountingPerson;
    }

    /**
     * 记账人
     * @param accountingPerson 记账人
     */
    public void setAccountingPerson(String accountingPerson) {
        this.accountingPerson = accountingPerson == null ? null : accountingPerson.trim();
    }

    /**
     * 记账时间
     * @return accounting_date 记账时间
     */
    public Date getAccountingDate() {
        return accountingDate;
    }

    /**
     * 记账时间
     * @param accountingDate 记账时间
     */
    public void setAccountingDate(Date accountingDate) {
        this.accountingDate = accountingDate;
    }

    /**
     * 审核人
     * @return auditor 审核人
     */
    public String getAuditor() {
        return auditor;
    }

    /**
     * 审核人
     * @param auditor 审核人
     */
    public void setAuditor(String auditor) {
        this.auditor = auditor == null ? null : auditor.trim();
    }

    /**
     * 审核时间
     * @return auditor_date 审核时间
     */
    public Date getAuditorDate() {
        return auditorDate;
    }

    /**
     * 审核时间
     * @param auditorDate 审核时间
     */
    public void setAuditorDate(Date auditorDate) {
        this.auditorDate = auditorDate;
    }

    /**
     * 审核意见
     * @return auditor_opinion 审核意见
     */
    public String getAuditorOpinion() {
        return auditorOpinion;
    }

    /**
     * 审核意见
     * @param auditorOpinion 审核意见
     */
    public void setAuditorOpinion(String auditorOpinion) {
        this.auditorOpinion = auditorOpinion == null ? null : auditorOpinion.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}