package com.chinaitop.depot.keeperAccount.service;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.chinaitop.depot.keeperAccount.model.StorageAccountRecord;
import com.chinaitop.depot.keeperAccount.model.StorageAccountRecordExample;
import com.github.pagehelper.PageInfo;

public interface StorageAccountRecordService {

	/**
	 * 新增
	 * 
	 * @param record
	 *            数据对象
	 */
	void add(StorageAccountRecord record);

	/**
	 * 修改
	 * 
	 * @param record
	 *            数据对象
	 */
	void update(StorageAccountRecord record);

	/**
	 * 按条件查询数据
	 * 
	 * @param example
	 *            条件
	 * @return
	 */
	List<StorageAccountRecord> findByConditon(StorageAccountRecordExample example);

	/**
	 * 查询数据
	 * 
	 * @param houseId 仓房ID
	 * @param wareId 货位ID
	 * @param hwxz 货物性质
	 * @param lspz lspz
	 * @param rq 日期
	 * @param map 返回对象
	 * @return
	 */
	Map<String, Object> selectOrCheckStorageAccountRecord(HttpServletRequest request, String houseId, String wareId, Integer hwxz, Integer lspz,
			String rq, Integer accountType, Map<String, Object> map);

	/**
	 * 保管总账列表
	 * 
	 * @param map
	 * @return
	 */
	List<Map<String, Object>> selectKeepSumAccountData(Map<String, Object> map);

	/**
	 * 查询保管总账查询列表的库存数量
	 * 
	 * @param map
	 * @return
	 */
	List<Map<String, Object>> selectKCSL(Map<String, Object> map);

	/**
     * 查询当前条件下的总账分组类别
     * @param map
     * @return
     */
	List<Map<String, Object>> selectAccountGroup(Map<String, Object> map);

	/**
	 * 查询保管总账列表
	 * 
	 * @param lspz 粮食品种
	 * @param lsxz 粮食性质
	 * @return
	 */
	List<Map<String, Object>> getGroupByList(HttpServletRequest request, Integer lspz, Integer lsxz);

	/**
	 * 给每条数据赋值库存数量
	 * 
	 * @param pageInfo 结果集
	 * @return
	 */
	PageInfo<Map<String, Object>> setListData(HttpServletRequest request, PageInfo<Map<String, Object>> pageInfo);

	Map<String, Object> getCountSumAccountzl(Integer orgId, Integer lspz, Integer lsxz);
}
