package com.chinaitop.depot.keeperPrint.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageAccountPrintHouse {
    private Integer id;

    private Integer orgId;

    private Integer houseType;

    private String houseId;

    private String wareId;

    private String crkjjdh;

    private Integer lspz;

    private Integer hwxz;

    private String pzwh;

    private String settlementType;

    private String abstracts;

    private BigDecimal srsl;

    private BigDecimal zcsl;

    private BigDecimal kcsl;

    private String remark;

    private Date rq;

    private Date updatetime;

    /**
     * 保管账(打印)-分仓帐
     * @return id 保管账(打印)-分仓帐
     */
    public Integer getId() {
        return id;
    }

    /**
     * 保管账(打印)-分仓帐
     * @param id 保管账(打印)-分仓帐
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 粮库ID
     * @return org_id 粮库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 粮库ID
     * @param orgId 粮库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 分仓帐类型(0储备粮，1商品粮)
     * @return house_type 分仓帐类型(0储备粮，1商品粮)
     */
    public Integer getHouseType() {
        return houseType;
    }

    /**
     * 分仓帐类型(0储备粮，1商品粮)
     * @param houseType 分仓帐类型(0储备粮，1商品粮)
     */
    public void setHouseType(Integer houseType) {
        this.houseType = houseType;
    }

    /**
     * 仓房ID
     * @return house_id 仓房ID
     */
    public String getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId 仓房ID
     */
    public void setHouseId(String houseId) {
        this.houseId = houseId == null ? null : houseId.trim();
    }

    /**
     * 货位ID
     * @return ware_id 货位ID
     */
    public String getWareId() {
        return wareId;
    }

    /**
     * 货位ID
     * @param wareId 货位ID
     */
    public void setWareId(String wareId) {
        this.wareId = wareId == null ? null : wareId.trim();
    }

    /**
     * 出入库检斤检验单号
     * @return crkjjdh 出入库检斤检验单号
     */
    public String getCrkjjdh() {
        return crkjjdh;
    }

    /**
     * 出入库检斤检验单号
     * @param crkjjdh 出入库检斤检验单号
     */
    public void setCrkjjdh(String crkjjdh) {
        this.crkjjdh = crkjjdh == null ? null : crkjjdh.trim();
    }

    /**
     * 粮食品种
     * @return lspz 粮食品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种
     * @param lspz 粮食品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 货物性质
     * @return hwxz 货物性质
     */
    public Integer getHwxz() {
        return hwxz;
    }

    /**
     * 货物性质
     * @param hwxz 货物性质
     */
    public void setHwxz(Integer hwxz) {
        this.hwxz = hwxz;
    }

    /**
     * 批准文号
     * @return pzwh 批准文号
     */
    public String getPzwh() {
        return pzwh;
    }

    /**
     * 批准文号
     * @param pzwh 批准文号
     */
    public void setPzwh(String pzwh) {
        this.pzwh = pzwh == null ? null : pzwh.trim();
    }

    /**
     * 0是日结算，1是月结算
     * @return settlement_type 0是日结算，1是月结算
     */
    public String getSettlementType() {
        return settlementType;
    }

    /**
     * 0是日结算，1是月结算
     * @param settlementType 0是日结算，1是月结算
     */
    public void setSettlementType(String settlementType) {
        this.settlementType = settlementType == null ? null : settlementType.trim();
    }

    /**
     * 摘要
     * @return abstracts 摘要
     */
    public String getAbstracts() {
        return abstracts;
    }

    /**
     * 摘要
     * @param abstracts 摘要
     */
    public void setAbstracts(String abstracts) {
        this.abstracts = abstracts == null ? null : abstracts.trim();
    }

    /**
     * 收入数量
     * @return srsl 收入数量
     */
    public BigDecimal getSrsl() {
        return srsl;
    }

    /**
     * 收入数量
     * @param srsl 收入数量
     */
    public void setSrsl(BigDecimal srsl) {
        this.srsl = srsl;
    }

    /**
     * 支出数量
     * @return zcsl 支出数量
     */
    public BigDecimal getZcsl() {
        return zcsl;
    }

    /**
     * 支出数量
     * @param zcsl 支出数量
     */
    public void setZcsl(BigDecimal zcsl) {
        this.zcsl = zcsl;
    }

    /**
     * 实际库存量
     * @return kcsl 实际库存量
     */
    public BigDecimal getKcsl() {
        return kcsl;
    }

    /**
     * 实际库存量
     * @param kcsl 实际库存量
     */
    public void setKcsl(BigDecimal kcsl) {
        this.kcsl = kcsl;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 日期
     * @return rq 日期
     */
    public Date getRq() {
        return rq;
    }

    /**
     * 日期
     * @param rq 日期
     */
    public void setRq(Date rq) {
        this.rq = rq;
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}