package com.chinaitop.depot.keeperPrint.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageAccountPrintTotal {
    private Integer id;

    private Integer orgId;

    private Integer totalType;

    private Integer lspz;

    private Integer hwxz;

    private String planid;

    private String pzh;

    private String abstracts;

    private BigDecimal increase;

    private BigDecimal reduce;

    private BigDecimal balance;

    private BigDecimal lrwlc;

    private Date rq;

    private Date updatetime;

    /**
     * 保管账(打印)-统计账
     * @return id 保管账(打印)-统计账
     */
    public Integer getId() {
        return id;
    }

    /**
     * 保管账(打印)-统计账
     * @param id 保管账(打印)-统计账
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 粮库ID
     * @return org_id 粮库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 粮库ID
     * @param orgId 粮库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 统计账类型(0储备粮，1商品粮)
     * @return total_type 统计账类型(0储备粮，1商品粮)
     */
    public Integer getTotalType() {
        return totalType;
    }

    /**
     * 统计账类型(0储备粮，1商品粮)
     * @param totalType 统计账类型(0储备粮，1商品粮)
     */
    public void setTotalType(Integer totalType) {
        this.totalType = totalType;
    }

    /**
     * 粮食品种
     * @return lspz 粮食品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种
     * @param lspz 粮食品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 货物性质
     * @return hwxz 货物性质
     */
    public Integer getHwxz() {
        return hwxz;
    }

    /**
     * 货物性质
     * @param hwxz 货物性质
     */
    public void setHwxz(Integer hwxz) {
        this.hwxz = hwxz;
    }

    /**
     * 关联计划id
     * @return planId 关联计划id
     */
    public String getPlanid() {
        return planid;
    }

    /**
     * 关联计划id
     * @param planid 关联计划id
     */
    public void setPlanid(String planid) {
        this.planid = planid == null ? null : planid.trim();
    }

    /**
     * 凭证号
     * @return pzh 凭证号
     */
    public String getPzh() {
        return pzh;
    }

    /**
     * 凭证号
     * @param pzh 凭证号
     */
    public void setPzh(String pzh) {
        this.pzh = pzh == null ? null : pzh.trim();
    }

    /**
     * 摘要
     * @return abstracts 摘要
     */
    public String getAbstracts() {
        return abstracts;
    }

    /**
     * 摘要
     * @param abstracts 摘要
     */
    public void setAbstracts(String abstracts) {
        this.abstracts = abstracts == null ? null : abstracts.trim();
    }

    /**
     * 增加(Kg)
     * @return increase 增加(Kg)
     */
    public BigDecimal getIncrease() {
        return increase;
    }

    /**
     * 增加(Kg)
     * @param increase 增加(Kg)
     */
    public void setIncrease(BigDecimal increase) {
        this.increase = increase;
    }

    /**
     * 减少(Kg)
     * @return reduce 减少(Kg)
     */
    public BigDecimal getReduce() {
        return reduce;
    }

    /**
     * 减少(Kg)
     * @param reduce 减少(Kg)
     */
    public void setReduce(BigDecimal reduce) {
        this.reduce = reduce;
    }

    /**
     * 结存(Kg)
     * @return balance 结存(Kg)
     */
    public BigDecimal getBalance() {
        return balance;
    }

    /**
     * 结存(Kg)
     * @param balance 结存(Kg)
     */
    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    /**
     * 轮出未轮入(Kg)
     * @return lrwlc 轮出未轮入(Kg)
     */
    public BigDecimal getLrwlc() {
        return lrwlc;
    }

    /**
     * 轮出未轮入(Kg)
     * @param lrwlc 轮出未轮入(Kg)
     */
    public void setLrwlc(BigDecimal lrwlc) {
        this.lrwlc = lrwlc;
    }

    /**
     * 日期
     * @return rq 日期
     */
    public Date getRq() {
        return rq;
    }

    /**
     * 日期
     * @param rq 日期
     */
    public void setRq(Date rq) {
        this.rq = rq;
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}