package com.chinaitop.depot.keeperPrint.service.impl;

import java.util.List;

import javax.annotation.Resource;

import com.chinaitop.depot.keeperAccount.model.StorageAccountRecord;
import com.chinaitop.depot.keeperPrint.mapper.StorageAccountPrintHouseMapper;
import com.chinaitop.depot.keeperPrint.model.StorageAccountPrintHouse;
import com.chinaitop.depot.keeperPrint.model.StorageAccountPrintHouseExample;
import com.chinaitop.depot.keeperPrint.service.AccountPrintHouseService;
import com.chinaitop.depot.utils.ParameterUtil;
import org.springframework.stereotype.Service;

@Service
public class AccountPrintHouseServiceImpl implements AccountPrintHouseService {

	@Resource
	private StorageAccountPrintHouseMapper mapper;

	@Override
	public List<StorageAccountPrintHouse> printHouseList(String orgId, String ch, String startDate, String endDate, Integer houseType) {
		StorageAccountPrintHouseExample printHouseExample = new StorageAccountPrintHouseExample();
		StorageAccountPrintHouseExample.Criteria criteria = printHouseExample.createCriteria();
		if (ParameterUtil.isnotnull(ch)) {
			criteria.andHouseIdEqualTo(ch);
		}
		if (ParameterUtil.isnotnull(startDate)) {
			criteria.andRqGreaterThanOrEqualTo(ParameterUtil.string2datetime(startDate+ParameterUtil.startTime));
		}
		if (ParameterUtil.isnotnull(endDate)) {
			criteria.andRqLessThanOrEqualTo(ParameterUtil.string2datetime(endDate+ParameterUtil.endTime));
		}
		if (ParameterUtil.isnotnull(orgId)) {
			criteria.andOrgIdEqualTo(Integer.parseInt(orgId));
		}
		criteria.andHouseTypeEqualTo(houseType);

		return mapper.selectByExample(printHouseExample);
	}

	@Override
	public void add(StorageAccountPrintHouse record) {
		mapper.insertSelective(record);
	}

	@Override
	public void update(StorageAccountPrintHouse record) {
		mapper.updateByPrimaryKeySelective(record);
	}

	@Override
	public void remove(Integer id) {
		mapper.deleteByPrimaryKey(id);
	}

	@Override
	public StorageAccountPrintHouse loadDataById(Integer id) {
		return mapper.selectByPrimaryKey(id);
	}
}
