package com.chinaitop.depot.keeperPrint.service.impl;

import java.util.List;

import javax.annotation.Resource;

import com.chinaitop.depot.keeperAccount.model.StorageAccountRecord;
import com.chinaitop.depot.keeperPrint.mapper.StorageAccountPrintTotalMapper;
import com.chinaitop.depot.keeperPrint.model.StorageAccountPrintTotal;
import com.chinaitop.depot.keeperPrint.model.StorageAccountPrintTotalExample;
import com.chinaitop.depot.keeperPrint.service.AccountPrintTotalService;
import com.chinaitop.depot.utils.ParameterUtil;
import org.springframework.stereotype.Service;

@Service
public class AccountPrintTotalServiceImpl implements AccountPrintTotalService {

	@Resource
	private StorageAccountPrintTotalMapper mapper;

	@Override
	public List<StorageAccountPrintTotal> printTotalList(String orgId, String ch, String startDate, String endDate, Integer houseType) {
		StorageAccountPrintTotalExample printTotalExample = new StorageAccountPrintTotalExample();
		StorageAccountPrintTotalExample.Criteria criteria = printTotalExample.createCriteria();
		if (ParameterUtil.isnotnull(startDate)) {
			criteria.andRqGreaterThanOrEqualTo(ParameterUtil.string2datetime(startDate+ParameterUtil.startTime));
		}
		if (ParameterUtil.isnotnull(endDate)) {
			criteria.andRqLessThanOrEqualTo(ParameterUtil.string2datetime(endDate+ParameterUtil.endTime));
		}
		if (ParameterUtil.isnotnull(orgId)) {
			criteria.andOrgIdEqualTo(Integer.parseInt(orgId));
		}
		criteria.andTotalTypeEqualTo(houseType);

		return mapper.selectByExample(printTotalExample);
	}

	@Override
	public void add(StorageAccountPrintTotal record) {
		mapper.insertSelective(record);
	}

	@Override
	public void update(StorageAccountPrintTotal record) {
		mapper.updateByPrimaryKeySelective(record);
	}

	@Override
	public void remove(Integer id) {
		mapper.deleteByPrimaryKey(id);
	}

	@Override
	public StorageAccountPrintTotal loadDataById(Integer id) {
		return mapper.selectByPrimaryKey(id);
	}
}
